%define name 	libelf
%define version 0.7.0
%define release 3mdk
%define major 	0
%define libname %{name}%{major}

Summary: 	An ELF object file access library.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group:		System/Libraries
URL: 		http://www.stud.uni-hannover.de/~michael/software
Source:		http://www.stud.uni-hannover.de/~michael/software/%{name}-%{version}.tar.bz2

Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description
The libelf package contains a library for accessing ELF object files.
Libelf allows you to access the internals of the ELF object file format,
so you can see the different sections of an ELF file.

Libelf should be installed if you need access to ELF object file internals.

%package -n %libname
Summary: An ELF object file access library.
Provides: %name = %version
Group: System/Libraries

%description -n %libname
The libelf package contains a library for accesing ELF object files.
Libelf allows you to access the internals of the ELF object file format,
so you can see the different sections of an ELF file.

Libelf should be installed if you need access to ELF object file internals.
%package -n %name%major-devel
Summary: Development and header files for the libelf library.
Requires: %libname = %version
Provides: %name-devel = %version
Group: Development/C

%description -n %libname-devel
This package contains the development files for the libelf library.

You should install this if you intend to do libelf-based development.


%prep
%setup -q

%build
%configure --enable-shared

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root,0755)
%doc README COPYING.LIB ChangeLog
%_libdir/libelf*.so.*

%files -n %libname-devel
%defattr(-,root,root,0755)
%_libdir/libelf*.so
%_libdir/libelf*.a
%dir %_includedir/libelf
%_includedir/libelf/*

%changelog
* Sun Jul  1 2001 Yves Duret <yduret@mandrakesoft.com> 0.7.0-3mdk
- make rpmlint happy with ldconfig
- s#Copyright#License#
- added %%libname

* Sun Jul 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.0-2mdk
- Enable shared libraries.
- Adapt for the library policy.
- Add %%clean section.
- rm -rf $RPM_BUILD_ROOT before running make install.

* Thu Dec 21 2000 Yves Duret <yduret@mandrakesoft.com> 0.7.0-1mdk
- new and shiny version 0.7.0
- changed the Copyright: to LGPL
- added URL:, updated Source:

* Tue Dec 12 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.6.4-9mdk
- Do not exclude Alpha from build
- Fix a few rpmlint warnings

* Mon Sep 18 2000 David BAUDENS <baudens@mandrakesoft.com> 0.6.4-8mdk
- Allow to build (BM, macros, spec-helper (ahem...), etc.) ...
- Remove french Description and Summary

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.4-7mdk
- fix group

* Mon Nov 15 1999 Camille Begnis <camille@mandrakesoft.com>
- added compilation for SMP architectures

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Jan 14 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- upgraded to 0.6.4
- buildroot
